<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <module name="undertow-benchmarks" />
        <module name="undertow-websockets-jsr" />
        <module name="undertow-examples" />
        <module name="undertow-core" />
        <module name="undertow-servlet" />
      </profile>
    </annotationProcessing>
    <bytecodeTargetLevel>
      <module name="karaf (1)" target="11" />
      <module name="karaf (2)" target="1.8" />
      <module name="undertow-core.main" target="9" />
      <module name="undertow-core.test" target="1.8" />
      <module name="undertow-examples-jakarta" target="1.8" />
      <module name="undertow-jakartaee9" target="1.8" />
      <module name="undertow-parent-jakarta" target="1.8" />
      <module name="undertow-servlet-jakarta" target="1.8" />
      <module name="undertow-websockets-jsr-jakarta" target="1.8" />
    </bytecodeTargetLevel>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="undertow-benchmarks" options="-J--add-opens=java.base/java.lang=ALL-UNNAMED" />
      <module name="undertow-core" options="-J--add-opens=java.base/java.lang=ALL-UNNAMED" />
      <module name="undertow-core.main" options="-Xlint:unchecked" />
      <module name="undertow-core.test" options="-Xlint:unchecked" />
      <module name="undertow-examples" options="-J--add-opens=java.base/java.lang=ALL-UNNAMED" />
      <module name="undertow-examples-jakarta" options="-Xlint:unchecked" />
      <module name="undertow-jakartaee9" options="-Xlint:unchecked" />
      <module name="undertow-parser-generator" options="-proc:none -J--add-opens=java.base/java.lang=ALL-UNNAMED" />
      <module name="undertow-servlet" options="-J--add-opens=java.base/java.lang=ALL-UNNAMED" />
      <module name="undertow-servlet-jakarta" options="-Xlint:unchecked" />
      <module name="undertow-websockets-jsr" options="-J--add-opens=java.base/java.lang=ALL-UNNAMED" />
      <module name="undertow-websockets-jsr-jakarta" options="-Xlint:unchecked" />
    </option>
  </component>
</project>